*******************************************************************************
*   File........: settitle.prg
*   Date........: October 30, 1993
*   Author......: Ly Minh Tr! (CIS 70641,3127)
*   Copyright...: None...freeware!
*   Version.....: 1.00
*******************************************************************************
*   PURPOSE:    Change the title of the desired window to the given title.
*               If no desired window title is given, then the foremost 
*               window is the target window .
*
*   SYNTAX:     settitle(<coldtitle>, <cwintitle>)
*
*   PARAMETERS: <coldtitle> = current title for desired window
*               <cwintitle> = the title to apply to <cwinname>
*
*   RETURNS:    Numeric
*
*	REMARKS:	This function will only find windows whose title has the 
*				characteristic below:
*
*						(1)	all upper case
*						(2)	all lower case
*						(3)	proper (i.e. first letter capitalize)
*
*******************************************************************************
PARAMETER coldtitle, cwintitle
PRIVATE nretval, cfoxtool, nwhndl

nretval = 0
IF !EMPTY(cwintitle)
    cfoxtool = SYS(2004) + "FOXTOOLS.FLL"               && locate foxtools.ff
    IF !FILE(cfoxtool)
        cfoxtool = GETFILE("FLL", "Where is FOXTOOLS.FLL")
    ENDIF
    cfoxtool = IIF(TYPE("cfoxtool") == "U", "", cfoxtool)

    IF !EMPTY(cfoxtool)
        SET LIBRARY TO (cfoxtool) ADDITIVE

        IF EMPTY(coldtitle)                             && get window handle
            nwhndl = _wontop()                          && for top-most window
        ELSE                                            && - or -
            nwhndl = _wfindtitle(WTITLE(coldtitle))     && for desired window
            *
            * If not found, then try the 'proper' version of the window title
            *
            IF nwhndl = 0								
	            nwhndl = _wfindtitle(PROPER(WTITLE(coldtitle)))      
            ENDIF
        ENDIF

        IF nwhndl > 0                                   && if window exists
            nretval = _wsettitle(nwhndl, cwintitle)     && set new title
        ENDIF

        RELEASE LIBRARY (cfoxtool)
    ENDIF
ENDIF

RETURN nretval
